%define with_uclibc %{?_without_uclibc:0} %{!?_without_uclibc:1}

%ifarch %{sunsparc} x86_64
%define with_uclibc 0
%endif

%define name	busybox
%define version 1.1.2
%define release	1

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Epoch:		1
Summary:	Multi-call binary combining many common Unix tools into one executable
License:	GPL
Group:		Shells
URL:		http://www.busybox.net/
Source0:	http://www.busybox.net/downloads/%{name}-%{version}.tar.bz2
Source1:	http://www.busybox.net/downloads/%{name}-%{version}.tar.bz2.sign
Source2:	%{name}-%{version}.config.bz2
BuildRequires:	gcc >= 3.3.1-2mdk
%if %{with_uclibc}
BuildRequires:	uClibc-static-devel >= 0.9.26-5mdk
%else
BuildRequires:	glibc-static-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
BusyBox combines tiny versions of many common UNIX utilities into a
single small executable. It provides minimalist replacements for most
of the utilities you usually find in GNU fileutils, shellutils, etc.
The utilities in BusyBox generally have fewer options than their
full-featured GNU cousins; however, the options that are included provide
the expected functionality and behave very much like their GNU counterparts.
BusyBox provides a fairly complete POSIX environment for any small or
embedded system.

BusyBox has been written with size-optimization and limited resources in
mind. It is also extremely modular so you can easily include or exclude
commands (or features) at compile time. This makes it easy to customize
your embedded systems. To create a working system, just add /dev, /etc,
and a kernel.

%prep
%setup -q
bzcat %{SOURCE2} > .config
perl -pi -e "s#-march=i386#-march=i586 -mtune=pentiumpro#g" Rules.mak

%build
%make oldconfig
%make dep
%if %{with_uclibc}
. uclibc
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
install -m755 busybox -D $RPM_BUILD_ROOT%{_bindir}/busybox
install -m644 docs/BusyBox.1 -D $RPM_BUILD_ROOT%{_mandir}/man1/busybox.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README TODO docs/BusyBox.txt
%{_bindir}/busybox
%{_mandir}/man1/busybox.1*

%changelog
* Fri Apr 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1.2-1mdk
- 1.1.2
- fix --with options

* Mon Apr 10 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1.1-3mdk
- fix buildrequires

* Thu Apr 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1.1-1mdk
- New release 1.1.1
- regenerate config
- better macro for uclibc

* Tue Sep 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.01-2mdk
- fix build on x86_64

* Wed Aug 31 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.01-1mdk
- 1.01
- %%mkrel

* Tue Apr 26 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-3mdk
- don't use uclibc on sparc, seems to be broken

* Tue Mar 08 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-2mdk
- rebuild against new uClibc
- use cpu optimizations

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-1mdk
- 1.00
- regenerate config (S2)
- cosmetics

* Tue Jan 06 2004 Jaco Greeff <jaco@mandrake.org> 1.00-0.pre5.1mdk
- 1.00-pre5
- Re-generated config to cater for new options since pre4

* Sat Dec 13 2003 Jaco Greeff <jaco@mandrake.org> 1.00-0.pre4.2mdk
- Updated config to include md5sum applet

* Thu Dec 11 2003 Jaco Greeff <jaco@mandrake.org> 1.00-0.pre4.1mdk
- 1.00-pre4
- Added busybox sign source (Additional verification)
- Re-generated config to cater for new options added since pre3
- Fix rpm naming (s/0.5mdk/0.pre4.1mdk/, Epoch added for clean upgrade)
- Misc. spec fixes

* Mon Sep 22 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.4mdk
- Renamed source1 to keep track with the version
- Builds against uClibc-static-devel now (instead of glibc-static-devel)
  resulting in a much smaller executable size (now only around 36% of
  statically linked glibc size), ideal for use in an initrd

* Mon Sep 15 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.3mdk
- 1.00-pre3
- Renamed man page to busybox
- Updated summary and description

* Tue Sep 02 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.2mdk
- Build with gcc-3.3.1 instead of 2.96 since the internal compiler error
  has been fixed (Added require for this version >= 3.3.1-2mdk)

* Mon Sep 01 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.1mdk
- Initial version, 1.00-pre2
